--!parent
--!encoding=utf-8

--****************************************************************************
-- @file      LSW CORE LIB: INI
-- @author    Valentin Schmidt
-- @version   0.3
--****************************************************************************

property $

----------------------------------------
-- @constructor
----------------------------------------
on new (me)

  -- libs
  $.import("file")

  return me
end

----------------------------------------
-- Parses INI file into propList
-- http://en.wikipedia.org/wiki/INI_file
-- @param {string} tFile
-- @return {propList}
----------------------------------------
on iniToPropList (me, tFile)
  buffer = $.file.getString(tFile)
  tList=[:]
  if stringP(buffer) then
    lc = buffer.line.count
    _player.itemDelimiter = "="

    tmp = tList
    prop = VOID

    repeat with i = 1 to lc
      tLine = buffer.line[i]
      if tLine starts numtochar(10) then delete char 1 of tLine
      if tLine starts ";" then next repeat -- comment
      if tLine starts "[" then
        prop = tLine.char[2..tLine.char.count-1]
        tList[prop] = [:]
        tmp = tList[prop]

      else if tLine.item.count>1 then
        prop = tLine.item[1]
        val = tLine.item[2]
        prop = prop.word[1..prop.word.count] -- trim leading spaces
        val = val.word[1..val.word.count] -- trim leading spaces
        --tmp[prop] = val
        tmp.addProp(prop, val)
        
      end if
    end repeat
  end if
  return tList
end
