#include <qevent.h>
#include <qt_windows.h>

#include "dbg.h"
#include "mymainwindow.h"

extern bool gDropDataFlag;
extern QMimeData * gDropData;
extern QPoint gDropPoint;

MyMainWindow::MyMainWindow(QWidget *parent, bool ignore, HWND hp): QMainWindow(parent)
{
	this->bIgnore = ignore;
	this->hParent = hp;
}

void MyMainWindow::dropEvent(QDropEvent *event)
{
	gDropDataFlag = true;
	
	gDropPoint = event->pos();
	
	gDropData = new QMimeData();
	for (int i=0;i<event->mimeData()->formats().count();i++){
		gDropData->setData( event->mimeData()->formats()[i], event->mimeData()->data(event->mimeData()->formats()[i]));
	}
	event->acceptProposedAction();
}

void MyMainWindow::dragEnterEvent(QDragEnterEvent *event)
{
	event->acceptProposedAction();
}

void MyMainWindow::closeEvent(QCloseEvent *event)
{	
	if (this->bIgnore) event->ignore();
	
	if (this->hParent!=0){
		long result = (long)SendMessage((HWND)hParent, WM_CLOSE, 0, 0);
	}
}
