-- Just some useful global utility functions
-- (c) Valentin Schmidt 2016

require 'winapi'

----------------------------------------
-- Reads whole file, returns string
----------------------------------------
readFile = function(file)
  local f = io.open(file, "rb")
  local content = f:read("*all")
  f:close()
  return content
end

----------------------------------------
-- dir: includes mask, e.g. 'c:\\tmp\\*.txt'
----------------------------------------
readDir = function(dir)

	--return scite_Files(dir)
	
	local t = {}
	
	-- A) using winapi.execute
	local cmd = 'dir /b '..dir..' 2>nul'
	local err,res = winapi.execute (cmd, 0)
	for line in getLines(res, '\r\n') do
		if line~='' then table.insert(t, line) end
	end
	
	-- B) using winamp.files (BUGGY!)
--	local files = winapi.files (dir)
--	for f in files do
--    table.insert(t, f)
--	end
	
	return t
	
end

----------------------------------------
-- Trims white space from string
----------------------------------------
trim = function(s)
  return (s:gsub("^%s*(.-)%s*$", "%1"))
end

----------------------------------------
-- Returns an iterator function that, each time it is called, returns the next
-- captures from pattern over string s
----------------------------------------
getLines = function(s, eol)	
	if not eol then eol = '\n' end
	if s:sub(-string.len(eol))~=eol then s=s..eol end
	if eol=='\n' then
		return s:gmatch("(.-)\n")
	elseif eol=='\r' then
		return s:gmatch("(.-)\r")
	else
		return s:gmatch("(.-)\r\n")
	end
end

----------------------------------------
--
----------------------------------------
printTable = function(t)
	for i,v in ipairs(t) do print(i..': '..v) end
end

----------------------------------------
--
----------------------------------------
dbg = function(str)
	winapi.output_debug_string (str)
end

----------------------------------------
--
----------------------------------------
dbg_table = function (t)
	local str = ""
	for k,v in pairs(t) do
		str = str..k..": "..tostring(v).."\n" --k.."="..v.."\n"
	end
	dbg(str)
end

--function dbg(str)
--	local f = io.open("C:\dbg.txt", "w+")
--	f:write(str)
--	f:close()
--end

--function dbg_table(t)
--	local str = ""
--	for k,v in pairs(t) do
--		str = str..k.."\t"..tostring(v).."\n" --k.."="..v.."\n"
--	end
--	local f = io.open("C:\dbg.txt", "w+")
--	f:write(str)
--	f:close()
--end
